/* Copyright (C) 2014 by Bundesamt für Sicherheit in der Informationstechnik
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU GPL (v>=2)
 * and comes with ABSOLUTELY NO WARRANTY!
 * See LICENSE.txt for details.
 */
#ifndef MAINWINDOWTEST_H
#define MAINWINDOWTEST_H

#include <QObject>
#include <QtTest>
#include "mainwindow.h"

class MainWindowTest: public MainWindow
{
    Q_OBJECT

public:
    MainWindowTest();

protected slots:
    void closeApp();

private Q_SLOTS:
    void testInvalidUpdate();
    void testValidUpdate();

Q_SIGNALS:
    void closeCalled();
};

#endif // MAINWINDOWTEST_H
